--[[

ARL-FirstAId.lua

First Aid data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BFAC		= LibStub("LibBabble-Faction-3.0"):GetLookupTable()

function ARL:ARL_InitFirstAid()
 
	-- Trainer Recipes
	ARL:addTradeSkillSpell(3275, 1, L["Trainer"])
	ARL:addTradeSkillSpell(3276, 40, L["Trainer"])
	ARL:addTradeSkillSpell(3277, 80, L["Trainer"])
	ARL:addTradeSkillSpell(7934, 80, L["Trainer"])
	ARL:addTradeSkillSpell(3278, 115, L["Trainer"])
	ARL:addTradeSkillSpell(7928, 150, L["Trainer"])
	ARL:addTradeSkillSpell(10841, 240, L["Trainer"])
	ARL:addTradeSkillSpell(18629, 260, L["Trainer"])
	ARL:addTradeSkillSpell(18630, 290, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkillSpell(7929, 180, ARL:ARL_AddVendor({165, 166}, false))
	ARL:addTradeSkillSpell(10840, 210, ARL:ARL_AddVendor({165, 166}, false))
	ARL:addTradeSkillSpell(27032, 330, ARL:ARL_AddVendor({167, 168}, false))
	ARL:addTradeSkillSpell(27033, 360, ARL:ARL_AddVendor({167, 168}, false))

	-- World Drops
	ARL:addTradeSkillSpell(7935, 130, L["UWD"])

	-- Reputations
	ARL:addTradeSkillSpell(23787, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})

end
