--[[

ARL-Alchemy.lua

Alchemy data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BFAC		= LibStub("LibBabble-Faction-3.0"):GetLookupTable()

function ARL:ARL_InitAlchemy()

	-- Trainer Recipes
	ARL:addTradeSkillSpell(2330, 1, L["Trainer"])
	ARL:addTradeSkillSpell(2329, 1, L["Trainer"])
	ARL:addTradeSkillSpell(7183, 1, L["Trainer"])
	ARL:addTradeSkillSpell(3170, 15, L["Trainer"])
	ARL:addTradeSkillSpell(2331, 25, L["Trainer"])
	ARL:addTradeSkillSpell(2332, 40, L["Trainer"])
	ARL:addTradeSkillSpell(2334, 50, L["Trainer"])
	ARL:addTradeSkillSpell(2337, 55, L["Trainer"])
	ARL:addTradeSkillSpell(7836, 80, L["Trainer"])
	ARL:addTradeSkillSpell(3171, 90, L["Trainer"])
	ARL:addTradeSkillSpell(7179, 90, L["Trainer"])
	ARL:addTradeSkillSpell(7841, 100, L["Trainer"])
	ARL:addTradeSkillSpell(3447, 110, L["Trainer"])
	ARL:addTradeSkillSpell(3173, 120, L["Trainer"])
	ARL:addTradeSkillSpell(3176, 125, L["Trainer"])
	ARL:addTradeSkillSpell(3177, 130, L["Trainer"])
	ARL:addTradeSkillSpell(7837, 130, L["Trainer"])
	ARL:addTradeSkillSpell(7845, 140, L["Trainer"])
	ARL:addTradeSkillSpell(7181, 155, L["Trainer"])
	ARL:addTradeSkillSpell(3452, 160, L["Trainer"])
	ARL:addTradeSkillSpell(3448, 165, L["Trainer"])
	ARL:addTradeSkillSpell(11449, 185, L["Trainer"])
	ARL:addTradeSkillSpell(11450, 195, L["Trainer"])
	ARL:addTradeSkillSpell(12609, 200, L["Trainer"])
	ARL:addTradeSkillSpell(11451, 205, L["Trainer"])
	ARL:addTradeSkillSpell(11448, 205, L["Trainer"])
	ARL:addTradeSkillSpell(11457, 215, L["Trainer"])
	ARL:addTradeSkillSpell(22808, 215, L["Trainer"])
	ARL:addTradeSkillSpell(11460, 230, L["Trainer"])
	ARL:addTradeSkillSpell(15833, 230, L["Trainer"])
	ARL:addTradeSkillSpell(11461, 235, L["Trainer"])
	ARL:addTradeSkillSpell(11465, 235, L["Trainer"])
	ARL:addTradeSkillSpell(11467, 240, L["Trainer"])
	ARL:addTradeSkillSpell(11478, 250, L["Trainer"])
	ARL:addTradeSkillSpell(17551, 250, L["Trainer"])
	ARL:addTradeSkillSpell(17553, 260, L["Trainer"] .. "\n    - " .. ARL:ARL_AddVendor({134}, false))
	ARL:addTradeSkillSpell(17556, 275, L["Trainer"])
	ARL:addTradeSkillSpell(17573, 285, L["Trainer"])
	ARL:addTradeSkillSpell(33740, 300, L["Trainer"])
	ARL:addTradeSkillSpell(33738, 300, L["Trainer"])
	ARL:addTradeSkillSpell(33732, 300, L["Trainer"])
	ARL:addTradeSkillSpell(28544, 305, L["Trainer"])
	ARL:addTradeSkillSpell(28545, 310, L["Trainer"])
	ARL:addTradeSkillSpell(39636, 310, L["Trainer"])
	ARL:addTradeSkillSpell(33733, 310, L["Trainer"])
	ARL:addTradeSkillSpell(45061, 325, L["Trainer"])
	ARL:addTradeSkillSpell(33741, 315, L["Trainer"])
	ARL:addTradeSkillSpell(39638, 320, L["Trainer"])
	ARL:addTradeSkillSpell(38070, 325, L["Trainer"])
	ARL:addTradeSkillSpell(28551, 325, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkillSpell(6617, 60, ARL:ARL_AddVendor({130, 131, 12, 132}, false))
	ARL:addTradeSkillSpell(7255, 100, ARL:ARL_AddVendor({133, 76, 132}, false))
	ARL:addTradeSkillSpell(7256, 135, ARL:ARL_AddVendor({110, 135}, false))
	ARL:addTradeSkillSpell(6624, 150, ARL:ARL_AddVendor({136, 137, 134}, false))
	ARL:addTradeSkillSpell(3449, 165, ARL:ARL_AddVendor({138, 140}, false))
	ARL:addTradeSkillSpell(7257, 165, ARL:ARL_AddVendor({141, 142}, false))
	ARL:addTradeSkillSpell(6618, 175, ARL:ARL_AddVendor({131, 134}, false))
	ARL:addTradeSkillSpell(7258, 190, ARL:ARL_AddVendor({143, 144}, false))
	ARL:addTradeSkillSpell(7259, 190, ARL:ARL_AddVendor({145, 146, 147, 144}, false))
	ARL:addTradeSkillSpell(3454, 200, ARL:ARL_AddVendor({148}, false))
	ARL:addTradeSkillSpell(11459, 225, ARL:ARL_AddVendor({145}, false))
	ARL:addTradeSkillSpell(11479, 225, ARL:ARL_AddVendor({145}, false))
	ARL:addTradeSkillSpell(11480, 225, ARL:ARL_AddVendor({145}, false))
	ARL:addTradeSkillSpell(11473, 245, ARL:ARL_AddVendor({146, 147}, false))
	ARL:addTradeSkillSpell(11476, 250, ARL:ARL_AddVendor({149, 150}, false))
	ARL:addTradeSkillSpell(11477, 250, ARL:ARL_AddVendor({151, 152}, false))
	ARL:addTradeSkillSpell(17554, 265, ARL:ARL_AddVendor({136, 137}, false))
	ARL:addTradeSkillSpell(17187, 275, ARL:ARL_AddVendor({145}, false))
	ARL:addTradeSkillSpell(17560, 275, ARL:ARL_AddVendor({123}, false))
	ARL:addTradeSkillSpell(28543, 305, ARL:ARL_AddVendor({154, 155, 156, 157, 158}, false))
	ARL:addTradeSkillSpell(28546, 315, ARL:ARL_AddVendor({159, 160}, false))
	ARL:addTradeSkillSpell(28549, 320, ARL:ARL_AddVendor({161, 160}, false))
	ARL:addTradeSkillSpell(39639, 330, ARL:ARL_AddVendor({162, 163}, false), {L["PVP"]})
	ARL:addTradeSkillSpell(28555, 340, ARL:ARL_AddVendor({157, 161}, false))
	ARL:addTradeSkillSpell(28557, 345, ARL:ARL_AddVendor({157, 161}, false))
	ARL:addTradeSkillSpell(28562, 350, ARL:ARL_AddVendor({157, 159}, false))
	ARL:addTradeSkillSpell(29688, 350, ARL:ARL_AddVendor({155, 158, 164}, false))

	-- World Drops
	ARL:addTradeSkillSpell(3230, 50, L["UWD"])
	ARL:addTradeSkillSpell(2335, 60, L["UWD"])
	ARL:addTradeSkillSpell(8240, 90, L["UWD"])
	ARL:addTradeSkillSpell(3172, 110, L["UWD"])
	ARL:addTradeSkillSpell(3174, 120, L["UWD"])
	ARL:addTradeSkillSpell(2333, 140, L["UWD"])
	ARL:addTradeSkillSpell(3188, 150, L["UWD"])
	ARL:addTradeSkillSpell(3450, 175, L["UWD"])
	ARL:addTradeSkillSpell(3453, 195, L["UWD"])
	ARL:addTradeSkillSpell(11453, 210, L["UWD"])
	ARL:addTradeSkillSpell(11464, 235, L["UWD"])
	ARL:addTradeSkillSpell(11468, 240, L["UWD"])
	ARL:addTradeSkillSpell(11472, 245, L["UWD"])
	ARL:addTradeSkillSpell(3175, 250, L["UWD"])
	ARL:addTradeSkillSpell(17566, 275, L["UWD"])
	ARL:addTradeSkillSpell(17563, 275, L["UWD"])
	ARL:addTradeSkillSpell(17564, 275, L["UWD"])
	ARL:addTradeSkillSpell(17565, 275, L["UWD"])
	ARL:addTradeSkillSpell(17570, 280, L["UWD"])
	ARL:addTradeSkillSpell(17572, 285, L["UWD"])
	ARL:addTradeSkillSpell(17634, 300, L["UWD"])
	ARL:addTradeSkillSpell(28550, 320, L["UWD"])
	ARL:addTradeSkillSpell(28552, 325, L["UWD"])
	ARL:addTradeSkillSpell(28563, 350, L["UWD"])
	ARL:addTradeSkillSpell(28564, 350, L["UWD"])
	ARL:addTradeSkillSpell(28565, 350, L["UWD"])
	ARL:addTradeSkillSpell(28570, 355, L["UWD"])
	ARL:addTradeSkillSpell(28578, 365, L["UWD"])

	-- Specific Drops
	ARL:addTradeSkillSpell(4508, 50, L["Discolored Healing Potion Obt"], {BFAC["Horde"]})
	ARL:addTradeSkillSpell(3451, 180, L["Mighty Trolls Blood Potion Obt"])
	ARL:addTradeSkillSpell(11456, 210, L["Goblin Rocket Fuel Obt"])
	ARL:addTradeSkillSpell(4942, 215, L["Lesser Stoneshield Potion Obt"])
	ARL:addTradeSkillSpell(11452, 215, L["Restorative Potion Obt"])
	ARL:addTradeSkillSpell(11458, 225, L["Wildvine Potion Obt"])
	ARL:addTradeSkillSpell(11466, 240, L["Gift of Arthas Obt"])
	ARL:addTradeSkillSpell(26277, 250, L["Elixir of Greater Firepower Obt"])
	ARL:addTradeSkillSpell(17552, 255, L["Mighty Rage Potion Obt"])
	ARL:addTradeSkillSpell(17555, 270, L["Elixir of the Sages Obt"])
	ARL:addTradeSkillSpell(17557, 275, L["Elixir of Brute Force Obt"])
	ARL:addTradeSkillSpell(17562, 275, L["Spectral Essence Obt"])
	ARL:addTradeSkillSpell(17571, 280, L["Elixir of the Mongoose Obt"])
	ARL:addTradeSkillSpell(17574, 290, L["Greater Fire Protection Potion Obt"])
	ARL:addTradeSkillSpell(17575, 290, L["Greater Frost Protection Potion Obt"])
	ARL:addTradeSkillSpell(17576, 290, L["Greater Nature Protection Potion Obt"])
	ARL:addTradeSkillSpell(17577, 290, L["Greater Arcane Protection Potion Obt"])
	ARL:addTradeSkillSpell(17578, 290, L["Greater Shadow Protection Potion Obt"])
	ARL:addTradeSkillSpell(17580, 295, L["Major Mana Potion Obt"] .. "\n    - " .. L["Spectral Essence Obt"])
	ARL:addTradeSkillSpell(17635, 300, L["Flask of the Titans Obt"])
	ARL:addTradeSkillSpell(17636, 300, L["Flask of Distilled Wisdom Obt"])
	ARL:addTradeSkillSpell(17637, 300, L["Flask of Supreme Power Obt"])
	ARL:addTradeSkillSpell(17638, 300, L["Flask of Chromatic Resistance Obt"])
	ARL:addTradeSkillSpell(38960, 335, L["Fel Strength Elixir Obt"])
	ARL:addTradeSkillSpell(38962, 345, L["Fel Regeneration Potion Obt"])
	ARL:addTradeSkillSpell(28575, 360, L["Major Arcane Protection Potion Obt"])
	ARL:addTradeSkillSpell(28571, 360, L["Major Fire Protection Potion Obt"])
	ARL:addTradeSkillSpell(28572, 360, L["Major Frost Protection Potion Obt"])
	ARL:addTradeSkillSpell(28577, 360, L["Major Holy Protection Potion Obt"])
	ARL:addTradeSkillSpell(28576, 360, L["Major Shadow Protection Potion Obt"])
	ARL:addTradeSkillSpell(38961, 360, L["Fel Mana Potion Obt"])
	ARL:addTradeSkillSpell(28579, 365, L["Ironshield Potion Obt"])

	-- Seasonal
	ARL:addTradeSkillSpell(21923, 190, L["WintersVeil"], {L["Seasonal"]})

	-- Reputations
	ARL:addTradeSkillSpell(17559, 275, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkillSpell(17561, 275, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkillSpell(24365, 275, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkillSpell(24366, 275, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkillSpell(24367, 285, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkillSpell(24368, 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkillSpell(25146, 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkillSpell(17632, 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkillSpell(28556, 345, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkillSpell(28558, 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkillSpell(28566, 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkillSpell(28567, 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Sporeggar"]), {BFAC["Sporeggar"]})
	ARL:addTradeSkillSpell(28568, 350, ARL:ARL_AddReputation2(BFAC["Revered"], BFAC["Kurenai"], BFAC["The Mag'har"]), {BFAC["The Mag'har"]})
	ARL:addTradeSkillSpell(28569, 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkillSpell(32765, 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkillSpell(32766, 350, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkillSpell(28573, 360, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkillSpell(42736, 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Violet Eye"]), {BFAC["The Violet Eye"], L["Raid"]})
	ARL:addTradeSkillSpell(39637, 320, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkillSpell(28553, 330, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkillSpell(28554, 335, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Sporeggar"]), {BFAC["Sporeggar"]})
	ARL:addTradeSkillSpell(47046, 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	ARL:addTradeSkillSpell(47048, 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	ARL:addTradeSkillSpell(47049, 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	ARL:addTradeSkillSpell(47050, 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})

	-- Raid Drops
	ARL:addTradeSkillSpell(22732, 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkillSpell(24266, 300, L["Gurubashi Mojo Madness Obt"], {L["Raid"]})

	-- Discovery Recipes
	ARL:addTradeSkillSpell(28583, 350, L["Discovery - Transmutes"], {L["Discovery"]})
	ARL:addTradeSkillSpell(28580, 350, L["Discovery - Transmutes"], {L["Discovery"]})
	ARL:addTradeSkillSpell(28584, 350, L["Discovery - Transmutes"], {L["Discovery"]})
	ARL:addTradeSkillSpell(28585, 350, L["Discovery - Transmutes"], {L["Discovery"]})
	ARL:addTradeSkillSpell(28582, 350, L["Discovery - Transmutes"], {L["Discovery"]})
	ARL:addTradeSkillSpell(28581, 350, L["Discovery - Transmutes"], {L["Discovery"]})
	ARL:addTradeSkillSpell(28587, 375, L["Discovery - Flasks/Potions"], {L["Discovery"]})
	ARL:addTradeSkillSpell(28588, 375, L["Discovery - Flasks/Potions"], {L["Discovery"]})
	ARL:addTradeSkillSpell(28589, 375, L["Discovery - Flasks/Potions"], {L["Discovery"]})
	ARL:addTradeSkillSpell(28590, 375, L["Discovery - Flasks/Potions"], {L["Discovery"]})
	ARL:addTradeSkillSpell(28591, 375, L["Discovery - Flasks/Potions"], {L["Discovery"]})
	ARL:addTradeSkillSpell(28586, 375, L["Discovery - Flasks/Potions"], {L["Discovery"]})
	ARL:addTradeSkillSpell(41458, 375, L["Discovery - Protection Potions"], {L["Discovery"]})
	ARL:addTradeSkillSpell(41500, 375, L["Discovery - Protection Potions"], {L["Discovery"]})
	ARL:addTradeSkillSpell(41501, 375, L["Discovery - Protection Potions"], {L["Discovery"]})
	ARL:addTradeSkillSpell(41502, 375, L["Discovery - Protection Potions"], {L["Discovery"]})
	ARL:addTradeSkillSpell(41503, 375, L["Discovery - Protection Potions"], {L["Discovery"]})

end
